Agent Management – Log in to or Log out of Queues
Log in or log out the specified dynamic agent from one or more queues.
Request URL
GET {base_url}/{api_path}/agent/login?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ext_id | Yes | Integer | The extension ID of the dynamic agent. Note: You can query agent's extension ID using Search Specific Extensions. |
| queue_ids | No | String | Important: If this parameter is not included, the system will log the agent in or out of all queues. The unique ID(s) of the queue(s) that the agent needs to log in or log out of. Note:
|
| operation | Yes | String | Log in to or log out the dynamic agent from the specified queue(s). Valid value:
|
| is_paused | No | Integer | Whether to pause service for the dynamic agent after logging him or her to the queue. Valid value:
|
| max_threshold_for_pause_time | No | Integer | The amount of time in seconds that the dynamic agent will pause service. Valid value:
|
| max_threshold_for_logout_time | No | Integer | The amount of time in seconds that the dynamic agent will log out from the queue. Valid value:
|
| reason | No | String | Feature code for the pause reason. Valid value: The feature code for the existing pause reasons on PBX. Note:
|
| is_login_last | No | Integer | Whether to automatically log in to previously logged-in queues. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example 1
Log in the dynamic agent (Extension ID: 85) to all his or her assigned queues, and pause service for the agent for one minute after login.
GET /openapi/v1.0/agent/login?access_token=u6UfsayUeBpUrwwpaBs6hkDeCzEE6D6t&ext_id=85&operation=login&is_paused=1&max_threshold_for_pause_time=60 HTTP/1.1 Host: 192.168.5.150:8088
Request example 2
Log in to previously logged-in queues.
GET /openapi/v1.0/agent/login?access_token=LX9r6xHhCXSUeTS0UoIQe8zJZ3FTIAZs&ext_id=50&operation=login&is_login_last=1 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}